itpp::AR1_Normal_RNG Class Reference
Base Module » Random Number Generation

Filtered normal distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| AR1_Normal_RNG (double meanval=0.0, double variance=1.0, double rho=0.0)
| Constructor. Set mean, variance, and correlation.
void | setup (double meanval, double variance, double rho)
| Set mean, variance, and correlation.
void | get_setup (double &meanval, double &variance, double &rho) const
| Get mean, variance and correlation.
void | reset ()
| Set memory contents to zero.
double | operator() ()
| Get a single random sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Filtered normal distribution.

Definition at line 652 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17